
QGIS Application - Bug report #6956

ATLAS does not fit well for objects higher than they are large

2013-01-07 06:55 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Vincent Picavet

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16066

Description

When generating atlas, images are not fitted correctly into map frame when object bbox is higher than it is large (a portrait aspect more

than landscape)

; 

Here are two screenshots and zip containing datas + qgs to reproduce it. 

Régis

Associated revisions

Revision ca77a987 - 2013-01-14 12:15 PM - Hugo Mercier

refs #6956

Fix map frame resizing : do not touch the frame size, adapt the geometry's extent if needed

History

#1 - 2013-01-07 06:58 AM - Regis Haubourg

- File rastFRFR632.jpg added

- File bug_ratio_export_atlas.zip added

Here are the missing files

#2 - 2013-01-14 12:58 AM - Regis Haubourg

probably related to #6988

#3 - 2013-01-14 01:08 AM - Hugo Mercier

What do you expect when the extent of an object has not the same aspect ratio as the map frame's one ?

The current behaviour is to resize the height of the frame, keeping the width.

Other choices are :

- resize the extent in the height direction (that what the composer "Set to map canvas" seems to do).

- resize the content (not sure it is wanted)

Perhaps we should expose this choice to the user ...
#4 - 2013-01-14 01:10 AM - Regis Haubourg

Hi, I think everybody expects centered images on both axes when using Atlas. And the bug described here in not only a problem of centering. Data is

missing in the lower part of the image. This shouldn't be.

#5 - 2013-01-14 01:54 AM - Hugo Mercier

Data are not exactly missing. If you change settings in order to display the frame border, you will see the frame resized in height to fit the object's extent.

But I understand and agree: keeping the frame's border untouched and centering the object is the key.

#6 - 2013-01-14 03:20 AM - Hugo Mercier

- % Done changed from 0 to 100

Fixed. Pull request 386

https://github.com/qgis/Quantum-GIS/pull/386

#7 - 2013-03-21 02:41 AM - Regis Haubourg

- Status changed from Open to Closed

Files

rastFRFRR631_4.jpg 35.8 KB 2013-01-07 Regis Haubourg

rastFRFR632.jpg 49 KB 2013-01-07 Regis Haubourg

bug_ratio_export_atlas.zip 279 KB 2013-01-07 Regis Haubourg
